aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorEd Bartosh <ed.bartosh@linux.intel.com>2016-12-09 16:32:08 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-12-13 22:47:31 +0000
commit77606455df7d45fd014c3603e1cf1b24efd37695 (patch)
tree85046b6eff55a4e86fe0a42c403ce7ac2840cb50 /scripts
parent5423c9a412c680b781417a64b412838845b5d075 (diff)
downloadopenembedded-core-contrib-77606455df7d45fd014c3603e1cf1b24efd37695.tar.gz
oe-setup-builddir: create usage output
Created usage output for oe-setup-builddir script. [YOCTO #10751] Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/oe-setup-builddir8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index e53f73c9ce..ef495517aa 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -23,6 +23,14 @@ if [ -z "$BUILDDIR" ]; then
exit 1
fi
+if [ "$1" = '--help' -o "$1" = '-h' ]; then
+ echo 'Usage: oe-setup-builddir'
+ echo ''
+ echo "OpenEmbedded setup-builddir - setup build directory $BUILDDIR"
+ echo ''
+ exit 2
+fi
+
mkdir -p "$BUILDDIR/conf"
if [ ! -d "$BUILDDIR" ]; then